package trains.model;

import java.io.Serializable;

public class Station implements Comparable<Station>, Serializable{
	
	private String name;
	private String city;
	private static final long serialVersionUID = 1L;
	
	public Station(String city, String name)
	{
		this.name=name;
		this.city=city;
		
	}

	public String getStationName() {
		return name;
	}

	public String getCityName() {
		return city;
	}

@Override
public String toString()
{
	
return getCityName() + " " + getStationName(); 
	
}

@Override
public int compareTo(Station s)
{
return this.toString().compareToIgnoreCase(s.toString());
}


@Override
public boolean equals(Object o)
{
	if (!(o instanceof Station))
	{
		return false;
	}
	Station st = (Station)o;
	return this.toString().compareToIgnoreCase(st.toString()) == 0;
}

}
